[Buildroot] [PATCH 1/1] package/python-pycups: new package

Thomas Petazzoni thomas.petazzoni at bootlin.com
Tue Aug 25 08:08:21 UTC 2020


Hello Asaf,

Thanks for reviewing!

On Tue, 25 Aug 2020 09:41:28 +0300
Asaf Kahlon <asafka7 at gmail.com> wrote:

> > +       bool "python-pycups"
> > +       depends on BR2_PACKAGE_CUPS  
> Since this package wraps the CUPS API and uses the cups package, you
> should select BR2_PACKAGE_CUPS instead of depending on it (and add the
> additional "depends on" sections from cups).

I perhaps wouldn't be so strict on this. When a dependency is
"obvious", it is quite OK to have a "depends on". In this case, I
believe the user who wants python-pycups will realize that CUPS is
needed in the system, so I find a "depends on" dependency to be quite
OK in this case. Using "depends on" has the advantage that we don't
have to replicate the "depends on" from BR2_PACKAGE_CUPS.

Thomas
-- 
Thomas Petazzoni, CTO, Bootlin
Embedded Linux and Kernel engineering
https://bootlin.com



More information about the buildroot mailing list